Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`mail`.`tap`.`AliasUpdater``

class documentation

`class AliasUpdater: (source)`

Constructor: `AliasUpdater(domains, domain)`

View In Hierarchy

A callable object which updates the aliases for a domain from an aliases(5) file.

Method | `__call__` | Update the aliases for a domain from an aliases(5) file.
Method | `__init__` | No summary
Instance Variable | `domain` | See `__init__`.
Instance Variable | `domains` | See `__init__`.

def __call__(self, new): (source)

Update the aliases for a domain from an aliases(5) file.

Parameters
new:`bytes` | The name of an aliases(5) file.

def __init__(self, domains, domain): (source)

Parameters
domains:`dict` mapping `bytes` to `IDomain` provider | A mapping of domain name to domain object
domain:`IAliasableDomain` provider | The domain to update.

domain = (source)

See `__init__`.

domains = (source)

See `__init__`.